%define oname FeatherNotes

Name: 		feathernotes
Version: 	1.1.1
Release: 	%mkrel 1
Source0: 	https://github.com/tsujan/FeatherNotes/releases/%{version}/%{oname}-%{version}.tar.xz
Summary: 	FeatherNotes is a lightweight Qt5 hierarchical notes-manager
URL: 		https://github.com/tsujan/FeatherNotes
License: 	GPLv3
Group: 		Editors
#--------------------------------------
BuildRequires:	gcc-c++
BuildRequires:  cmake
BuildRequires:	%{_lib}x11-devel
BuildRequires:  %{_lib}qt5help-devel
BuildRequires:  %{_lib}xext-devel
BuildRequires:  %{_lib}qt5base5-devel
BuildRequires:  %{_lib}qt5svg-devel
BuildRequires:  %{_lib}qt5x11extras-devel 
BuildRequires:  %{_lib}hunspell-devel
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root


%description
FeatherNotes (by Pedram Pourang, a.k.a. Tsu Jan tsujan2000@gmail.com) is a lightweight Qt5 
hierarchical notes-manager for Linux. It is independent of any desktop environment and has:

* Support for rich text formatting, image embedding and inserting editable tables;
* Drag-and-drop capability for moving nodes and also for embedding images;
* A tray icon for quick access on any desktop;
* Correct position/size saving and restoring with most window managers;
* Compact but complete search and replacement widgets;
* The ability to include searchable tags (hidden info on each node);
* Support for optional node icons;
* Support for local and remote hyperlinks (bookmarks);
* Text zooming;
* Printing and exporting to HTML and PDF;
* Password protection;
* Auto-saving;
* macOS support (by Pavel Shlyak); and
* Other features that can be found in its settings, on its menus or when it is actually used.

%prep
%setup -qn %{oname}-%{version}

%build
mkdir build
pushd build
cmake -DCMAKE_BUILD_TYPE=release \
	  -DCMAKE_INSTALL_PREFIX=/usr \
	  -DSG_USE_SYSTEM_QXT=ON \
	  -DBUILD_SHARED_LIBS:BOOL=OFF ..
make
popd
%install
rm -rf %buildroot
pushd build
make DESTDIR=%{buildroot} install
popd

%files
%doc ChangeLog COPYING README.md

%{_bindir}/feathernotes
%{_datadir}/metainfo/feathernotes.metainfo.xml
%{_datadir}/mime/packages/feathernotes.xml
%{_datadir}/applications/feathernotes.desktop
%{_datadir}/%{name}/translations/%{name}_*.qm
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_iconsdir}/hicolor/scalable/mimetypes/text-%{name}-fnx.svg


%changelog
* Fri Sep 08 2023 daniel - 1.1.1-1pclos2023
- update

* Tue Nov 29 2022 daniel - 1.1.0-1pclos2022
- update

* Mon Sep 19 2022 tex - 1.0.0-2pclos2022
- rebuild against updates

* Sun Aug 07 2022 daniel - 1.0.0-1pclos2022
- update
  
* Sat Jan 08 2022 daniel - 0.10.0-1pclos2022
- update
 
* Fri Mar 12 2021 daniel <> 0.9.0-1pclos2021
- update

* Fri Nov 06 2020 daniel <meisssw01 at gmail.com> 0.8.0-1pclos2020
- 0.8.0

* Mon Jun 08 2020 daniel <meisssw01 at gmail.com> 0.7.0-1pclos2020
- update

* Sun May 01 2020 daniel <meisssw01 at gmail.com> 0.6.0-1pclos2020
- import to pclos
